Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Get Skill Version Content

HttpResponse skills().versions().content().retrieve(params, requestOptions = RequestOptions.none())
GET
/skills/{skill_id}/versions/{version}/content

Download a skill version zip bundle.

Parameters
ContentRetrieveParams params
String skillId
Optional<String> version

The skill version number.

Get Skill Version Content

package com.openai.example;

import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.core.http.HttpResponse;
import com.openai.models.skills.versions.content.ContentRetrieveParams;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        OpenAIClient client = OpenAIOkHttpClient.fromEnv();

        ContentRetrieveParams params = ContentRetrieveParams.builder()
            .skillId("skill_123")
            .version("version")
            .build();
        HttpResponse content = client.skills().versions().content().retrieve(params);
    }
}
Returns Examples